Subject: Re: future of the mediawiki extension?

From: Junio C Hamano <[email-masked]>
Date: Tue, 07 Nov 2017 09:44:03 +0900

Antoine Beaupré <[email-masked]> writes:

> On 2017-10-31 10:37:29, Junio C Hamano wrote:
>>> There's also a hybrid solution used by git-multimail: have a copy of the
>>> code in git.git, but do the development separately. I'm not sure it'd be
>>> a good idea for Git-Mediawiki, but I'm mentionning it for completeness.
>>
>> I think the plan was to make code drop from time to time at major
>> release points of git-multimail, but I do not think we've seen many
>> updates recently.
>
> I'd be okay with a hybrid as well. It would require minimal work on
> Git's side at this stage: things can just stay as is until there's a new
> "release" of the mediawiki extension and at that point you can decide if
> you merge it all in or if you drop it in favor of the contrib.
>
> I think it's also fine to punt it completely out to the community.
>
> Either way, I may have time to do some of that work in the coming month,
> so let me know what you prefer, I guess you two have the last word
> here. The community, on Mediawiki's side, seem to mostly favor GitHub.

I guess I shouldn't leave this thread hanging.

As contrib/README says, the "owners" of an area in contrib/ has the
ultimate say and control over the area, and for contrib/mw-to-git,
the "owners" have always been Matthieu, at least to me.

As he made it clear earlier in this thread that (1) he sees you as a
steady hand that can help guide the tool forward as its new "owner",
and (2) he thinks Git-Mediawiki will be helped by being an
independent project hosted at GitHub, now you have the say ;-)

A few topics from you that are already on list may want to go
through to 'master' as any other topics, but from there on, I am
fine with the development of Git-Mediawiki primarily done as a
separate project, optionally giving contrib/mw-to-git/ occasional
update dumps.  You could even choose to remove contrib/mw-to-git/*
except for git-remote-mediawiki.txt that says that the tool's main
development effort happens at GitHub to redirect people, if you
think that would reduce potential confusion.

I am also OK to serve as a patch monkey and keep going; I won't be
picking up patches to contrib/mw-to-git/ unless you (and others)
review them, though.